Bug 1021017 - Review Request: lexertl - Modular lexical analyzer generator
Review Request: lexertl - Modular lexical analyzer generator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 15:43 EDT by Jerry James
Modified: 2014-01-30 23:29 EST (History)
3 users (show)

See Also:
Fixed In Version: lexertl-2013.11.20-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-30 23:29:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2013-10-18 15:43:11 EDT
Spec URL: http://jjames.fedorapeople.org/lexertl/lexertl.spec
SRPM URL: http://jjames.fedorapeople.org/lexertl/lexertl-2013_09_06-1.fc21.src.rpm
Fedora Account System Username: jjames
Description: Lexertl is a modern, modular lexical analyzer generator.  Traditionally, programs such as lex generate source code as their output and even only support one kind of programming language.  The lexertl developers are seeking to offer much more flexibility than that by exposing the state machine that is generated from a supplied lex specification.  By doing this the user has much more freedom in how the data is processed, which means it becomes easy to:
- Build a lexical analyzer at runtime and start using it immediately.
- Generate source code from the state machine in your preferred programming language.
- Serialize the state machine for later processing.

Note that lexertl is bundled in boost.  However, I am attempting to package some software (AspectC++) which needs a newer version of lexertl than the one bundled in boost.  I tried to backport it to the boost version, but too many features were missing.
Comment 1 Christopher Meng 2013-10-19 11:14:10 EDT
I don't think the verson tag is the proper one, perhaps 2013.09.06 or 20130906?
Comment 2 Jerry James 2013-10-21 16:25:43 EDT
Given that upstream's version number is 2013-09-06, which we can't use, I fail to see how any of the 3 transformations is any better than the others.  The version number has to be altered somehow.  Why does it matter how?

$ rpmdev-vercmp lexertl-2013_09_06-1.fc21 lexertl-2013_09_07-1.fc21
lexertl-2013_09_06-1.fc21 < lexertl-2013_09_07-1.fc21
$ rpmdev-vercmp lexertl-2013.09.06-1.fc21 lexertl-2013.09.07-1.fc21
lexertl-2013.09.06-1.fc21 < lexertl-2013.09.07-1.fc21
$ rpmdev-vercmp lexertl-20130906-1.fc21 lexertl-20130907-1.fc21
lexertl-20130906-1.fc21 < lexertl-20130907-1.fc21

It appears to me that rpm handles them all equally well.
Comment 3 Jerry James 2014-01-20 11:42:37 EST
I have updated to the package to the latest release.  New URLs:

Spec URL: http://jjames.fedorapeople.org/lexertl/lexertl.spec
SRPM URL: http://jjames.fedorapeople.org/lexertl/lexertl-2013_11_20-1.fc21.src.rpm
Comment 4 Michel Alexandre Salim 2014-01-21 03:20:27 EST
Taking this review
Comment 5 Michel Alexandre Salim 2014-01-21 21:06:38 EST
Everything looks fine, the large doc issue discovered by fedora-review seems to be a false positive

APPROVED


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 2293760 bytes in 16 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSL (v1.0)", "Unknown or generated". 20 files have unknown license.
     Detailed output of licensecheck in /home/michel/sources/fedora/to-review
     /review-lexertl/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lexertl-
     devel , lexertl-examples
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lexertl-devel-2013_11_20-1.fc20.noarch.rpm
          lexertl-examples-2013_11_20-1.fc20.noarch.rpm
          lexertl-2013_11_20-1.fc20.src.rpm
lexertl-devel.noarch: W: spelling-error %description -l en_US lex -> ex, flex, Alex
lexertl-devel.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
lexertl-examples.noarch: E: devel-dependency lexertl-devel
lexertl.src: W: spelling-error %description -l en_US lex -> ex, flex, Alex
lexertl.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
3 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint lexertl-devel lexertl-examples
lexertl-devel.noarch: W: spelling-error %description -l en_US lex -> ex, flex, Alex
lexertl-devel.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
lexertl-examples.noarch: E: devel-dependency lexertl-devel
2 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
lexertl-devel (rpmlib, GLIBC filtered):

lexertl-examples (rpmlib, GLIBC filtered):
    lexertl-devel



Provides
--------
lexertl-devel:
    lexertl-devel

lexertl-examples:
    lexertl-examples



Source checksums
----------------
http://www.benhanson.net/cpp/lexertl/Zip/lexertl.zip :
  CHECKSUM(SHA256) this package     : 2f37ae4d4f0d6ee03a3659f7317848494538801049ea155eb3f9e9a023181c4c
  CHECKSUM(SHA256) upstream package : 2f37ae4d4f0d6ee03a3659f7317848494538801049ea155eb3f9e9a023181c4c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -n lexertl
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 6 Jerry James 2014-01-21 22:53:33 EST
Thank you very much for the review.

New Package SCM Request
=======================
Package Name: lexertl
Short Description: Modular lexical analyzer generator
Owners: jjames
Branches: f20
InitialCC:
Comment 7 Michael Schwendt 2014-01-22 05:09:36 EST
FYI: https://fedorahosted.org/fpc/ticket/337
Comment 8 Gwyn Ciesla 2014-01-22 07:57:57 EST
Git done (by process-git-requests).
Comment 9 Christopher Meng 2014-01-22 09:08:12 EST
Another FYI

https://github.com/BenHanson/lexertl/issues/12
Comment 10 Jerry James 2014-01-22 09:50:42 EST
(In reply to Michael Schwendt from comment #7)
> FYI: https://fedorahosted.org/fpc/ticket/337

Ah, thanks for the pointer.  I will incorporate this idea when I import the package.
Comment 11 Jerry James 2014-01-22 09:51:15 EST
(In reply to Christopher Meng from comment #9)
> Another FYI
> 
> https://github.com/BenHanson/lexertl/issues/12

Excellent.  I will change the source URL and version number accordingly.  Thanks!
Comment 12 Fedora Update System 2014-01-22 10:46:37 EST
lexertl-2013.11.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lexertl-2013.11.20-1.fc20
Comment 13 Fedora Update System 2014-01-23 06:10:58 EST
lexertl-2013.11.20-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2014-01-30 23:29:09 EST
lexertl-2013.11.20-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.